Data2save's service is not impacted by OpenSSL vulnerability

Product News

Houston, 4/10/2014

There has been a lot of publicity lately about internet vulnerability, so we want to inform our Clients that they have no reason to fear. We have safety measures in place.

Heartbleed is a serious defect in OpenSSL that is used to protect communications on the Internet. This flaw affects a substantial number of applications and services running on the Internet.

None of the services Data2save provides has been impacted by the OpenSSL vulnerability, and our customers do not have to take any action. We provide the best internet security.

Security is a critical component of Agility and the website services we provide for our customers. Our security team will continue to monitor this issue and will provide more information as necessary.

Data2save Security Team

Published:
April 10, 2014

Agility 365 to keep your Office safe and Secure

Agility 365 for Office 365 offers MultiLayer Protection for our customers

Your Complete Office in the Cloud

Access all your Office tools, Email, Conferencing tools etc. from virtually anywhere you want.

Data2save Services now available from 29 datacenters around the world

Our customers are Global Companies and Data2save has a global presence to support our customers.

Share this Item